# Uses of Enum
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricDefinition.CircuitBreakerResult

Packages that use MetricDefinition.CircuitBreakerResult
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Uses of MetricDefinition.CircuitBreakerResult in org.eclipse.microprofile.fault.tolerance.tck.metrics.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.util that return MetricDefinition.CircuitBreakerResult
Modifier and Type
Method
Description
`static MetricDefinition.CircuitBreakerResult`
MetricDefinition.CircuitBreakerResult.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MetricDefinition.CircuitBreakerResult[]`
MetricDefinition.CircuitBreakerResult.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.util with parameters of type MetricDefinition.CircuitBreakerResult
Modifier and Type
Method
Description
`CounterMetric`
MetricGetter.`getCircuitBreakerCalls(MetricDefinition.CircuitBreakerResult cbResult)`